/*
	Ninja Library
	
	COPYRIGHT (C) SEGA ENTERPRISES,LTD.

*/
#ifndef _NUBINARY_H_
#define _NUBINARY_H_

#ifdef __cplusplus
extern "C" {
#endif 

/************************/
/*	 Binary				*/
/************************/

#define NUD_POF_TYPE_PAD   0x00
#define NUD_POF_TYPE_CHAR  0x40
#define NUD_POF_TYPE_SHORT 0x80
#define NUD_POF_TYPE_LONG  0xc0
#define NUD_POF_CHAR_MASK  0xc0
#define NUD_POF_DATA_MASK  0x3f

Sint8	*nuOpenBinary(const char *fname);
void	nuCloseBinary(Sint8 *wbuff);
void	*nuReadBinary(Sint8 *wbuff, Uint32 *fpos, Uint32 *ptype);
Uint32	nuSwapCNK(Uint32 cnk);

#ifdef __cplusplus
}
#endif

#endif